Package com.smartgwt.client.ai

# Class CreateDashboardDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.CreateDashboardDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class CreateDashboardDataQuestionStep extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateDashboardDataQuestionStep()`
  `CreateDashboardDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CreateDashboardComponentDataQuestionStep[]`
  `getCreateDashboardComponentSteps()`
  `static CreateDashboardDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStepType`
  `getType()`
  The value CREATE_DASHBOARD.
  `CreateDashboardDataQuestionStep`
  `setCreateDashboardComponentSteps(CreateDashboardComponentDataQuestionStep... createDashboardComponentSteps)`
  `CreateDashboardDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value CREATE_DASHBOARD.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateDashboardDataQuestionStep

    public CreateDashboardDataQuestionStep()

  - ### CreateDashboardDataQuestionStep

    public CreateDashboardDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static CreateDashboardDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setCreateDashboardComponentSteps

    public CreateDashboardDataQuestionStep setCreateDashboardComponentSteps(CreateDashboardComponentDataQuestionStep... createDashboardComponentSteps)
    Parameters:
      `createDashboardComponentSteps` - New createDashboardComponentSteps value. Default value is *initialized by the implementation*
    Returns:
      `CreateDashboardDataQuestionStep` instance, for chaining setter calls

  - ### getCreateDashboardComponentSteps

    public CreateDashboardComponentDataQuestionStep[] getCreateDashboardComponentSteps()
    Returns:
      Current createDashboardComponentSteps value. Default value is *initialized by the implementation*

  - ### setType

    public CreateDashboardDataQuestionStep setType(DataQuestionStepType type)
    The value CREATE_DASHBOARD.
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `CreateDashboardDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value CREATE_DASHBOARD.
    Returns:
      Current type value. Default value is null